package org.qtunes.daap;

import org.qtunes.db.*;
import org.qtunes.web.*;
import java.io.*;
import java.util.*;

class HandlerGroupArtwork extends HandlerNowPlayingArtwork {

    Block handleDAAP(DaapServer daap, WebConnection con) throws IOException {
        int group = Integer.parseInt(con.getParameter("group"));
        int w = Integer.parseInt(con.getParameter("mw"));
        int h = Integer.parseInt(con.getParameter("mh"));
        Track track = daap.getDatabase().getTrack(daap.getGroup(group).getTracks().nextSetBit(0));
        handleArtwork(daap, con, track, w, h);
        return null;
    }

}
