package org.qtunes.daap;

import org.qtunes.web.*;
import java.io.*;
import java.util.*;

class HandlerUpdate extends AbstractHandler {

    Block handleDAAP(DaapServer daap, WebConnection con) throws IOException {
        int waitingfor = Integer.parseInt(con.getParameter("revision-number"));
        int delta = con.getParameter("delta")!=null ? Integer.parseInt(con.getParameter("delta")) : -1;
        ListBlock mupd = Blocks.create(Blocks.mupd);
        mupd.add(Blocks.create(Blocks.mstt, 200));
        Revision revision = daap.getUpdateRevision();
        revision.waitUntilGreater(waitingfor);
        mupd.add(Blocks.create(Blocks.musr, revision.getRevision()));
        return mupd;
    }

}
