package org.qtunes.db;

/**
 * An AbstractField is what's passed in to {@link Track#get}.
 * It will either be a {@link Field} or {@link DerivedField}
 */
public interface AbstractField<T> {

    /**
     * Return the name of the field, eg "Artist"
     */
    public String getName();

}
