package org.qtunes.tagger;

import org.qtunes.core.*;
import org.qtunes.ff.*;
import org.qtunes.db.*;
import java.io.*;
import java.util.*;
import java.nio.*;
import java.nio.channels.*;
import javax.sound.sampled.*;
import javax.script.*;

class Lister implements Action {

    private PrintStream out = System.out;

    public void setOutput(PrintStream out) {
        this.out = out;
    }

    public void bumpDebug() {
    }

    public void close() {
    }

    public void process(File file) throws IOException {
        TrackReader reader = TrackReader.getTrackReader(file);
        if (reader != null) {
            FieldMap map = reader.read(file);
            out.println(file);
            for (Iterator<Map.Entry<Field<?>,Object>> i = map.entrySet().iterator();i.hasNext();) {
                Map.Entry<Field<?>,Object> e = i.next();
                Field field = e.getKey();
                Object value = e.getValue();
                out.println("  "+field+": "+value);
            }
        } else {
            out.println("WARNING: No reader for \""+file+"\"");
        }
    }

}
